<template>
	<view class="problemExplain-wrapper wrapperLayer">
		<titleBar :titleText='pageTitle' :pageForm='"problemExplain"'></titleBar>
		<view class="pageContent colCen borderBox">
			<u-parse :html="content"></u-parse>
		</view>
	</view>
</template>

<script>
	import titleBar from '../../../components/backTitlebar.vue';
	export default {
		components: {
			titleBar
		},
		data() {
			return {
				pageTitle: '',
				id: '',
				content: ''
			}
		},
		onLoad(options) {
			this.id = options.id
			this.getData()
		},
		methods: {
			getData() {
				var that = this;
				this.$u.api.getHelpDetail({
					id:this.id
				}).then(e => {
					if(e.code != 0) return that.$alert(e.msg)
					that.pageTitle = e.data.info.title
					this.content = e.data.info.content
				}).catch(function (err) {
				})
				
			}
		}
	}
</script>

<style lang="scss">
	.problemExplain-wrapper {
		width: 100%;
		min-height: 100vh;
		background-color: #FFFFFF;

		.pageContent {
			width: 100%;
			padding: 32rpx;
			text-indent: 2em;
			font-size: 32rpx;
			line-height: 48rpx;
		}
	}
</style>
